> ## Documentation Index
> Fetch the complete documentation index at: https://developer.nomba.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Pay for Betting

> This describes the process of paying for betting

<CardGroup cols={2}>
  <Card title="Pay for Betting via the Parent Account" icon="link-simple" href="/nomba-api-reference/bills/pay-for-betting-via-parent-account" />
</CardGroup>

# `POST /v1/bill/betting`

#### Request body

<ParamField body="amount" type="integer" required>
  Amount
</ParamField>

<ParamField body="bettingProvider" type="string" required>
  Betting provider's id (e.g. bet9ja, betKing, scratch2win etc) - This id can be gotten
  from doing a fetch of available providers
</ParamField>

<ParamField body="merchantTxRef" type="string" required>
  Merchant Transaction Reference (a unique reference to identify this
  transaction on your system)
</ParamField>

<ParamField body="payerName" type="string" required>
  The name of the person to be attached to this transaction
</ParamField>

<ParamField body="customerId" type="string" required>
  An unique id to identify the customer to which this payment belongs. This should be same as verified in the lookup api
</ParamField>

<ParamField body="phoneNumber" type="string" required>
  The phone number  of the person to be attached to this transaction
</ParamField>

#### Response body

<ResponseField name="code" type="string" required>
  Response code
</ResponseField>

<ResponseField name="description" type="string" required>
  Response description
</ResponseField>

<ResponseField name="data" type="object">
  <Expandable title="object" defaultOpen="true">
    <ResponseField name="amount" type="string" required>
      Amount
    </ResponseField>

    <ResponseField name="meta" type="object">
      <Expandable title="object" defaultOpen="false">
        <ResponseField name="merchantTxRef" type="string">
          Merchant Transaction Reference
        </ResponseField>

        <ResponseField name="rrn" type="string">
          Retrieval Reference Number (RRN)
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="timeCreated" type="string" required>
      Date and Time of the transaction
    </ResponseField>

    <ResponseField name="type" type="string" required>
      The type of this transaction. This is most probably phcn in this case
    </ResponseField>

    <ResponseField name="status" type="string" required>
      The status of this transaction
    </ResponseField>
  </Expandable>
</ResponseField>

<RequestExample>
  ```bash Request theme={null}
  curl --location POST \
  --url https://api.nomba.com/v1/bill/betting \
  --header 'accountId: <accountId>' \
  --header 'Authorization: Bearer <token>' \
      --data '{
          "bettingProvider": "bet9ja",
          "merchantTxRef": "c006475e-a76f-4533-b2ff-59a67d5e6241",
          "phoneNumber":"09012345678",
          "payerName": "John Doe",
          "amount": 2000,
          "customerId": "1234567890"
      }'
  ```
</RequestExample>

<ResponseExample>
  ```json Success response theme={null}
  {
      "code": "00",
      "description": "SUCCESS",
      "data": {
          "amount": 2000,
          "meta": {
              "merchantTxRef": "c006475e-a76f-4533-b2ff-59a67d5e6241",
              "api_client_id": "10422171-9100-4e66-93e1-7f6da894ef89",
              "api_account_id": "01a10aeb-d989-460a-bbde-9842f2b4320f",
              "rrn": "240809060134"
          },
          "fee": "",
          "timeCreated": "2024-08-09T05:01:35.014Z",
          "id": "API-BETTING-4B8C8-dcc5994c-e110-4035-9017-fc6e497a3baa",
          "type": "betting",
          "status": "SUCCESS"
      }
  }
  ```
</ResponseExample>
